# eric4.VCS.StatusMonitorLed

Module implementing a LED to indicate the status of the VCS status monitor thread.

### Classes

StatusMonitorLed | Class implementing a LED to indicate the status of the VCS status monitor thread.

### Functions

None

## StatusMonitorLed

Class implementing a LED to indicate the status of the VCS status monitor thread.

### Derived from

E4Led

### Methods

StatusMonitorLed | Constructor
__checkActions | Private method to set the enabled status of the context menu actions.
__checkStatus | Private slot to initiate a new status check.
__projectVcsMonitorStatus | Private method to receive the status monitor status.
__setInterval | Private slot to change the status check interval.
__switchOff | Private slot to switch the status monitor thread to Off.
__switchOn | Private slot to switch the status monitor thread to On.
_showContextMenu | Protected slot to show the context menu.

#### StatusMonitorLed (Constructor)

StatusMonitorLed(project, parent)

Constructor

project
  reference to the project object (Project.Project)
parent
  reference to the parent object (QWidget)

#### StatusMonitorLed.__checkActions

__checkActions()

Private method to set the enabled status of the context menu actions.

#### StatusMonitorLed.__checkStatus

__checkStatus()

Private slot to initiate a new status check.

#### StatusMonitorLed.__projectVcsMonitorStatus

__projectVcsMonitorStatus(status, statusMsg)

Private method to receive the status monitor status.

status
  status of the monitoring thread (QString, ok, nok or off)
statusMsg
  explanotory text for the signaled status (QString)

#### StatusMonitorLed.__setInterval

__setInterval()

Private slot to change the status check interval.

#### StatusMonitorLed.__switchOff

__switchOff()

Private slot to switch the status monitor thread to Off.

#### StatusMonitorLed.__switchOn

__switchOn()

Private slot to switch the status monitor thread to On.

#### StatusMonitorLed._showContextMenu

_showContextMenu(coord)

Protected slot to show the context menu.

coord
  the position of the mouse pointer (QPoint)

Up